package be.iminds.ilabt.jfed.gts.model;

import java.util.Map;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 15:56
 */
public interface GtsPort {
    //CONSTANTS
    String UNIDIRECTIONAL = "uniDir";
    String BIDIRECTIONAL = "biDir";

    String getId();
    void setId(String id);

    String getMode();
    void setMode(String mode);

    Integer getLineRate();
    void setLineRate(Integer lineRate);

    String getDirectionality();
    void setDirectionality(String directionality);

    Map<String,String> getExtraProperties();


    double getEditorX();

    void setEditorX(double editorX);

    double getEditorY();

    void setEditorY(double editorY);
}
